\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Triangulated Surface Mesh Simplification

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members
CGAL::Surface_mesh_simplification::Count_stop_predicate< ECM > Class Template Reference
Triangulated Surface Mesh Simplification Reference

`#include <CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Count_stop_predicate.h>`

## Definition

The class `Count_stop_predicate` is a model for the `StopPredicate` concept, which returns `true` when the number of current edges drops below a certain threshold.

Template Parameters

  ECM | is the type of surface mesh being simplified, and must be a model of the `EdgeCollapsableSurfaceMesh` concept.

Is Model Of:
  `StopPredicate`

See Also
  `CGAL::Surface_mesh_simplification::Count_ratio_stop_predicate<ECM>`

## Creation
| Count_stop_predicate (size_type threshold)
| Initializes the predicate establishing the `threshold` value.

## Operations
bool | operator() (FT const &current_cost, Profile const &edge_profile, size_type initial_count, size_type current_count) const
| Returns `(current_count < threshold)`. More...

## Member Function Documentation

template<typename ECM >

bool CGAL::Surface_mesh_simplification::Count_stop_predicate< ECM >::operator() | ( | FT const & | current_cost,
|  | Profile const & | edge_profile,
|  | size_type | initial_count,
|  | size_type | current_count
| ) |  | const

Returns `(current_count < threshold)`.

All other parameters are ignored (but exist since this is a generic policy).